package com.lovecoding.day11.homework;

public class Designer extends Employee{

    private double bonus;

    public Designer() {

    }

    public Designer(int id, String name, int age, double salary, double bonus) {
        super(id, name, age, salary);
        this.bonus = bonus;
    }

    public double getBonus() {
        return bonus;
    }

    public void setBonus(double bonus) {
        this.bonus = bonus;
    }

    @Override
    public String toString() {
        return "编号=" + this.getId() +", " +
                "姓名='" + this.getId()  +", " +
                "年龄=" + this.getAge() +", " +
                "薪资=" + getSalary() +
                "设计师 , " +
                "奖金=" + getBonus()  ;
    }
}
